Skip to main content

Client Details

Request to be POSTed to uri : /NorenWClientAPI/ClientDetails

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*User Id
actid*Account ID

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/ClientDetails' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab67cdf7d4d350db03c9334bef7be8fc802fc6d5bc9342f4ac60d60d8c9930e2' \
--data 'jData={"uid":"DEMO", "actid":"DEMO"}'

Response Details :

Json FieldsPossible valueDescription
request_timeIt will be present only in a successful response.
actidAccount ID
clinameClient Name
act_stsAccount Status
creatdteCreation date
creattmeCreation time
m_numMobile Number
emailEmail ID
panPAN
dobDate of birth in DDMMYYYY format
addrAddress
addrofficeOffice address
addrcityCity
addrstateState
partic_id_list
eqt_asbaTrue or False
der_asbaTrue or False
fx_asbaTrue or False
com_asbaTrue or False
mandate_id_listMandate Id List [ Array Object, details given below.]
exarrJson array of strings with enabled exchange names
bankdetailsArray Object, details given below.
dp_acct_numArray Object, details given below.
statOk or Not_OkUser details success or failure indication.
emsgThis will be present only in case of errors.

bankdetails Obj format:

Json FieldsPossible valueDescription
banknBank name
acctnumAccount number

dp_acct_num Obj format:

Json FieldsPossible valueDescription
dpnumDp account number

mandate_id_list Obj format:

Json FieldsPossible valueDescription
mandate_idMandate Id

Sample Success Response :

{
"request_time": "10:25:28 04-12-2025",
"actid": "DEMO",
"cliname": "DEMO",
"act_sts": "Activated",
"creatdte": "1753958809",
"creattme": "1761804733",
"m_num": "0",
"email": "test@gmail.com",
"pan": "AAAAA1111A",
"dob": "",
"addr": "",
"addroffice": "",
"addrcity": "",
"addrstate": "",
"partic_id_list": [
{
"partic_id": "",
"exch": "NSE"
},
{
"partic_id": "",
"exch": "NFO"
},
{
"partic_id": "",
"exch": "BSE"
},
{
"partic_id": "",
"exch": "BFO"
},
{
"partic_id": "",
"exch": "NIE"
}
],
"eqt_asba": "false",
"der_asba": "false",
"fx_asba": "false",
"com_asba": "false",
"mandate_id_list": [],
"exarr": ["NSE", "NFO", "BSE", "BFO", "NIE"],
"bankdetails": [],
"dp_acct_num": [],
"stat": "Ok"
}

Sample Failure Response :

{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid User Id"
}